#!/bin/sh

# Bashscript which is executed by bash *AFTER* complete installation is done
# (but *BEFORE* postupdate). Use with caution and remember, that all systems
# may be different! Better to do this in your own Pluginscript if possible.
#
# Exit code must be 0 if executed successfull.
#
# Will be executed as user "loxberry".
#
# We add 5 arguments when executing the script:
# command <TEMPFOLDER> <NAME> <FOLDER> <VERSION> <BASEFOLDER>
#
# For logging, print to STDOUT. You can use the following tags for showing
# different colorized information during plugin installation:
#
# <OK> This was ok!"
# <INFO> This is just for your information."
# <WARNING> This is a warning!"
# <ERROR> This is an error!"
# <FAIL> This is a fail!"

# To use important variables from command line use the following code:
ARGV0=$0 # Zero argument is shell command
#echo "<INFO> Command is: $ARGV0"

ARGV1=$1 # First argument is temp folder during install
#echo "<INFO> Temporary folder is: $ARGV1"

ARGV2=$2 # Second argument is Plugin-Name for scipts etc.
#echo "<INFO> (Short) Name is: $ARGV2"

ARGV3=$3 # Third argument is Plugin installation folder
#echo "<INFO> Installation folder is: $ARGV3"

ARGV4=$4 # Forth argument is Plugin version
#echo "<INFO> Installation folder is: $ARGV4"

ARGV5=$5 # Fifth argument is Base folder of LoxBerry
#echo "<INFO> Base folder is: $ARGV5"

# Replace real subfolder and scriptname in config file and create subfolder.dat in CGI folder
#/bin/sed -i "s#REPLACEBYBASEFOLDER#$ARGV5#" $ARGV5/data/plugins/$ARGV3/foshkplugin.py
#/bin/sed -i "s#REPLACEBYBASEFOLDER#$ARGV5#" $ARGV5/config/plugins/$ARGV3/foshkplugin.conf
#/bin/sed -i "s#REPLACEBYBASEFOLDER#$ARGV5#" $ARGV5/webfrontend/htmlauth/plugins/$ARGV3/index.cgi

#/bin/sed -i "s#REPLACEBYSUBFOLDER#$ARGV3#" $ARGV5/data/plugins/$ARGV3/foshkplugin.py
#/bin/sed -i "s#REPLACEBYSUBFOLDER#$ARGV3#" $ARGV5/config/plugins/$ARGV3/foshkplugin.conf
#/bin/sed -i "s#REPLACEBYSUBFOLDER#$ARGV3#" $ARGV5/webfrontend/htmlauth/plugins/$ARGV3/index.cgi

#/bin/sed -i "s#REPLACEBYPLUGINNAME#$ARGV2#" $ARGV5/data/plugins/$ARGV3/foshkplugin.py
#/bin/sed -i "s#REPLACEBYPLUGINNAME#$ARGV2#" $ARGV5/config/plugins/$ARGV3/foshkplugin.conf
#/bin/sed -i "s#REPLACEBYPLUGINNAME#$ARGV2#" $ARGV5/webfrontend/htmlauth/plugins/$ARGV3/index.cgi

echo "<INFO> replacing strings via sed"
# ersetze /o.p.t/l.o.x.b.e.r.r.y./log/plugins/foshkplugin/ in Datei $ARGV5/config/plugins/$ARGV3/foshkplugin.conf
/bin/sed -i "s#REPLACEFOSHKPLUGINLOGDIR#$ARGV5/log/plugins/$ARGV3#" $ARGV5/config/plugins/$ARGV3/foshkplugin.conf

# ersetze den Namen des Service
/bin/sed -i "s#REPLACEFOSHKPLUGINSERVICE#$ARGV3#" $ARGV5/bin/plugins/$ARGV3/service.sh
/bin/sed -i "s#REPLACEFOSHKPLUGINSERVICE#$ARGV3#" $ARGV5/bin/plugins/$ARGV3/foshkplugin.service
/bin/sed -i "s#REPLACEFOSHKPLUGINSERVICE#$ARGV3#" $ARGV5/config/plugins/$ARGV3/foshkplugin.conf
/bin/sed -i "s#REPLACEFOSHKPLUGINSERVICE#$ARGV3#" $ARGV5/data/plugins/$ARGV3/foshkplugin.py

# debug
echo "<INFO> postinstall.sh"
echo "<INFO> debug info"
echo "ARGV0; $ARGV0"
echo "ARGV1; $ARGV1"
echo "ARGV2; $ARGV2"
echo "ARGV3; $ARGV3"
echo "ARGV4; $ARGV4"
echo "ARGV5; $ARGV5"

# Exit with Status 0
exit 0
